Bug 1997793 (CVE-2021-39152) - CVE-2021-39152 xstream: Server-side request forgery (SSRF) via unsafe deserialization of jdk.nashorn.internal.runtime.Source$URLData
Summary: CVE-2021-39152 xstream: Server-side request forgery (SSRF) via unsafe deseria...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-39152
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1997794 1998636
Blocks: 1997804
TreeView+ depends on / blocked
 
Reported: 2021-08-25 19:53 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-02-14 13:07 UTC (History)
51 users (show)

Fixed In Version: xstream 1.4.18
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in xstream, a simple library used to serialize objects to XML and back again. This flaw allows a remote attacker to request data from internal resources that are not publicly available by manipulating the processed input stream with Java runtime versions 14 to 8. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-10-25 14:09:24 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3956 0 None None None 2021-10-25 06:51:24 UTC
Red Hat Product Errata RHSA-2021:4767 0 None None None 2021-11-23 10:36:24 UTC
Red Hat Product Errata RHSA-2021:4918 0 None None None 2021-12-02 16:18:55 UTC
Red Hat Product Errata RHSA-2022:0296 0 None None None 2022-01-26 15:54:21 UTC
Red Hat Product Errata RHSA-2022:0297 0 None None None 2022-01-26 16:59:04 UTC
Red Hat Product Errata RHSA-2022:0520 0 None None None 2022-02-14 13:07:57 UTC

Description Guilherme de Almeida Suckevicz 2021-08-25 19:53:45 UTC
XStream is a simple library to serialize objects to XML and back again. In affected versions this vulnerability may allow a remote attacker to request data from internal resources that are not publicly available only by manipulating the processed input stream with a Java runtime version 14 to 8. No user is affected, who followed the recommendation to setup XStream's security framework with a whitelist limited to the minimal required types. If you rely on XStream's default blacklist of the [Security Framework](https://x-stream.github.io/security.html#framework), you will have to use at least version 1.4.18.

References:
https://github.com/x-stream/xstream/security/advisories/GHSA-xw4p-crpj-vjx2
https://x-stream.github.io/CVE-2021-39152.html

Comment 1 Guilherme de Almeida Suckevicz 2021-08-25 19:54:19 UTC
Created xstream tracking bugs for this issue:

Affects: fedora-all [bug 1997794]

Comment 10 errata-xmlrpc 2021-10-25 06:51:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3956 https://access.redhat.com/errata/RHSA-2021:3956

Comment 11 Product Security DevOps Team 2021-10-25 14:09:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-39152

Comment 12 errata-xmlrpc 2021-11-23 10:36:21 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4767 https://access.redhat.com/errata/RHSA-2021:4767

Comment 13 errata-xmlrpc 2021-12-02 16:18:52 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4918 https://access.redhat.com/errata/RHSA-2021:4918

Comment 14 errata-xmlrpc 2022-01-26 15:54:16 UTC
This issue has been addressed in the following products:

  RHPAM 7.12.0

Via RHSA-2022:0296 https://access.redhat.com/errata/RHSA-2022:0296

Comment 15 errata-xmlrpc 2022-01-26 16:58:59 UTC
This issue has been addressed in the following products:

  RHDM 7.12.0

Via RHSA-2022:0297 https://access.redhat.com/errata/RHSA-2022:0297

Comment 16 errata-xmlrpc 2022-02-14 13:07:53 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 8.3.0

Via RHSA-2022:0520 https://access.redhat.com/errata/RHSA-2022:0520


Note You need to log in before you can comment on or make changes to this bug.